### Method

# WPEPlatform Settings load_from_keyfile

#### Declaration [src]

    gboolean
    wpe_settings_load_from_keyfile (
      WPESettings* settings,
      GKeyFile* keyfile,
      GError** error
    )

#### Description [src]

Loads settings from a keyfile.

Only groups named `wpe-platform` or with the prefix `wpe-platform/` will be considered. All keys under these groups must be registered with `wpe_settings_register()`.

If a value is already set it will be overwritten.

All keys loaded are expected to be formatted as a GVariant.

`WPESettings::changed` will be emitted for each key that is loaded with a new value.

#### Parameters

`keyfile`

  Type: `GKeyFile`

  The keyfile to load settings from.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the settings were loaded successfully, `FALSE` otherwise.